> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Info push
> Used to get info on a single push notification action.
Simple campaigns will send out a single batch of messages at once. However, more complex campaigns will send out batches of messages at varying intervals over the lifetime of the campaign. For example, a location-based campaign can send single notifications to individual devices as they enter locations while the campaign is running.
Each individual event for a campaign where messages are sent is known as a push action.
## OpenAPI ````json POST /info/push { "openapi": "3.1.0", "info": { "title": "external-api", "version": "1" }, "servers": [ { "url": "https://api.eu.xtremepush.com/api/external" } ], "paths": { "/info/push": { "post": { "summary": "Info push", "description": "Used to get info on a single push notification action.\n\nSimple campaigns will send out a single batch of messages at once. However, more complex campaigns will send out batches of messages at varying intervals over the lifetime of the campaign. For example, a location-based campaign can send single notifications to individual devices as they enter locations while the campaign is running.
\n\nEach individual event for a campaign where messages are sent is known as a push action.
", "operationId": "push-info", "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "apptoken", "id" ], "properties": { "apptoken": { "type": "string", "description": "Your App token" }, "id": { "type": "integer", "format": "int32", "description": "ID of the push notification" } } } } } }, "responses": { "200": { "description": "200", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "true", "default": "true" }, "code": { "type": "integer", "example": "200", "default": "0" }, "model": { "type": "object" } } }, "examples": { "Web push action": { "value": { "success": "true", "code": "200", "model": { "id": "801303567", "project_id": "PROJECT_ID", "application_id": "5471", "campaign_id": "53189363", "trigger_id": "641850501", "message_type": "3", "send_mode": "1", "type": "web", "environment": "chrome", "target_count": "6", "sent_count": "6", "delivery_count": "4", "open_count": "0", "click_count": "0", "error": "0", "create_time": "1617020760", "expiration_time": "1618230360", "message": { "id": "801303567", "cid": "53189363", "title": "Don't miss out!", "alert": "Get a 10% discount now", "url": "https://www.example.com/", "icon": "https://s3.xtremepush.com/application/web_icon_large_5471_5f86csdab68c0b2.png" } } } }, "Android push action": { "value": { "success": "true", "code": "200", "model": { "id": "1003204108", "project_id": "PROJECT_ID", "application_id": "5406", "campaign_id": "54019941", "trigger_id": "755580603", "message_type": "2", "send_mode": "1", "type": "android", "environment": "production", "target_count": "15", "sent_count": "14", "processing_count": "0", "error_count": "0", "delivery_count": "0", "open_count": "0", "click_count": "0", "runtime": "0", "error": "0", "create_time": "1628775045", "expiration_time": "1631194245", "encryption": "1", "message": { "value": "key", "id": "1003204108", "cid": "54019941", "xpush": "yes", "title": "Push title", "alert": "Push text goes here" } } } } } } } }, "400": { "description": "400", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean", "example": "false", "default": "true" }, "code": { "type": "integer", "example": "400", "default": "0" }, "message": { "type": "string", "example": "id cannot be blank." } } }, "examples": { "Result": { "value": { "success": "false", "code": "400", "message": "id cannot be blank." } } } } } } }, "tags": [ "Message Methods" ] } } } } ````